---
title: PaymentMethodChangeEvent.methodName
slug: Web/API/PaymentMethodChangeEvent/methodName
tags:
  - API
  - Commerce
  - Payment Handler
  - Payment Method
  - Payment Request
  - Payment Request API
  - PaymentMethodChangeEvent
  - Property
  - Reference
  - methodName
  - payment
---
<div>{{securecontext_header}}{{APIRef("Payment Request API")}}</div>

<p>The read-only <code><strong>methodName</strong></code> property of the <span class="seoSummary">{{domxref("PaymentMethodChangeEvent")}} interface is a string which uniquely identifies the payment handler currently selected by the user.</span> The payment handler may be a payment technology, such as Apple Pay or Android Pay, and each payment handler may support multiple payment methods; changes to the payment method within the payment handler are described by the <code>PaymentMethodChangeEvent</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>var methodName</em> = <em>paymentMethodChangeEvent</em>.methodName;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} which uniquely identifies the currently-selected payment handler. This may be a string chosen from the list of standardized payment method identifiers, or a URL used by the payment processing service. See {{SectionOnPage("/en-US/docs/Web/API/Payment_Request_API", "Payment method identifiers")}} for more information.</p>

<p>The default value is the empty string, <code>""</code>.</p>

<h2 id="Example">Example</h2>

<p>This example uses the {{event("paymentmethodchange")}} event to watch for changes to the payment method selected for Apple Pay, in order to compute a discount if the user chooses to use a Visa card as their payment method.</p>

<pre class="brush: js">request.onpaymentmethodchange = function(ev) {
  const { type: cardType } = ev.methodDetails;
  const newStuff = {};
  if (ev.methodName === "https://apple.com/apple-pay") {
    switch (cardType) {
      case "visa":
        // do Apple Pay specific handling for Visa card...
        // methodDetails contains the card information
        const result = calculateDiscount(ev.methodDetails);
        Object.assign(newStuff, result);
        break;
    }
  }
  // finally...
  ev.updateWith(newStuff);
};
const response = await request.show();</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-paymentmethodchangeevent-methodname','PaymentMethodChangeEvent.methodName')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentMethodChangeEvent.methodName")}}</p>
</div>
